/* BigBlueButton open source conferencing system - http://www.bigbluebutton.org/.
*
* Copyright (c) 2018 BigBlueButton Inc. and by respective authors (see below).
*
* This program is free software; you can redistribute it and/or modify it under the
* terms of the GNU Lesser General Public License as published by the Free Software
* Foundation; either version 3.0 of the License, or (at your option) any later
* version.
*
* BigBlueButton is distributed in the hope that it will be useful, but WITHOUT ANY
* WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
* PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License along
* with BigBlueButton; if not, see <http://www.gnu.org/licenses/>.
*/

// Place all the styles related to the Main controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/

.responsive-header {
  font-size: 3.3vw;
}

.landing-section {
  position: relative;
  height: 40%;
}

.lead {
  font-size:18px;
}

.feature-stamp {
  .stamp {
    padding:1em 1.5em;
    height:auto;
  }
}

.or-line {
  div {
    width: 100%;
    height: 16px;
    border-bottom: 1px solid #d3d3d3;
    text-align: center;
    span {
      font-size: 120%;
      background-color: #ffffff;
      padding: 0 10px;
      color: #d3d3d3
    }
  }
}

.display-4 {
  font-weight: normal;
}

.customBtn {
  display: block;
  text-align: center;
  background: #cccccc;
  color: #ffffff;
  box-shadow: 0 2px 4px 0 rgba(0,0,0,.25);
  -webkit-transition: background-color .218s,border-color .218s,box-shadow .218s;
  transition: background-color .218s,border-color .218s,box-shadow .218s;
  white-space: nowrap;
  border-radius: 2px;
  border: 1px solid transparent;
  margin-bottom:20px;
  &:hover {
    cursor: pointer;
    color: #ffffff;
    -webkit-box-shadow: 0 0 3px 3px rgba(66,133,244,.3);
    box-shadow: 0 0 3px 3px rgba(66,133,244,.3);
  }

  .customBtn-icon {
    display: inline-block;
    vertical-align: middle;
    padding:13px 15px 13px 15px;
    float:left;
    background: #ffffff;
  }

  .customBtn-text {
    font-size: 19px;
    line-height: 48px;
    font-weight: 600;
    letter-spacing: .21px;
    padding:0 25px;
  }

  .customBtn-image {
    background: #ffffff;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-google {
  @extend .customBtn;
  background: #4688f1;

  .customBtn-image {
    background: #ffffff image-url("google-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-twitter {
  @extend .customBtn;
  background: #1da1f2;

  .customBtn-image {
    background: #ffffff image-url("twitter-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-office365 {
  @extend .customBtn;
  background: #f65314;

  .customBtn-image {
    background: #ffffff image-url("office365-logo.jpeg") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-facebook {
  @extend .customBtn;
  background: #4267b2;

  .customBtn-image {
    background: #ffffff image-url("facebook-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-linkedin {
  @extend .customBtn;
  background: #4377b1;

  .customBtn-image {
    background: #ffffff image-url("linkedin-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-github {
  @extend .customBtn;
  background: #000000;

  .customBtn-image {
    background: #ffffff image-url("github-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-instagram {
  @extend .customBtn;
  background: linear-gradient(90deg, #c6002d, #6a0975);

  .customBtn-image {
    background: #ffffff image-url("instagram-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-apple {
  @extend .customBtn;
  background: #000000;

  .customBtn-image {
    background: #ffffff image-url("apple-logo.png") no-repeat left top;
    transform: scale(2.2);
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-openid_connect {
  @extend .customBtn;
  background: #f7931e;

  .customBtn-image {
    background: #ffffff image-url("openid-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-saml {
  @extend .customBtn;
  background: $button-color-blue;

  .customBtn-image {
    background: #ffffff image-url("saml-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-microsoft_windows {
  @extend .customBtn;
  background: #00a1f1;

  .customBtn-image {
    background: #ffffff image-url("windows-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-ldap {
  @extend .customBtn;
  background: #d61515;

  .customBtn-image {
    background: #ffffff image-url("ldap-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.customBtn-openid_connect {
  @extend .customBtn;
  background: #ef8e1f;

  .customBtn-image {
    background: #ffffff image-url("openid-logo.png") no-repeat left top;
    background-size: 18px 18px;
    padding:10px 10px 10px 10px;
  }
}

.signin-button {
  font-size: 16px;
}

.table-responsive tbody td:first-child > *:first-child {
  max-height: 3em;
  overflow: hidden;
  max-width: 200px;
  display: flex;
}
